> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach a driver from a site partner

> Removes the relationship between a driver (identified by token) and a site partner.



## OpenAPI

````yaml /api/specs/identity-api.json post /identity/v2/drivers/detach-sitepartner
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v2/drivers/detach-sitepartner:
    post:
      tags:
        - Driver
      summary: Detach a driver from a site partner
      description: >-
        Removes the relationship between a driver (identified by token) and a
        site partner.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DetachDriverFromSitePartnerParams'
      responses:
        '200':
          description: The driver has been detached from the site partner.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/DriverSitePartnerJunction'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityDefaultForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityNotFoundError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityInternalServerError'
      security:
        - oauth2:
            - write:driver
components:
  schemas:
    DetachDriverFromSitePartnerParams:
      type: object
      required:
        - sitePartnerId
        - tokenId
      properties:
        sitePartnerId:
          type: string
        tokenId:
          type: string
    DriverSitePartnerJunction:
      type: object
      properties:
        driverId:
          type: string
        sitePartnerId:
          type: string
        networkId:
          type: string
        status:
          type: string
          enum:
            - ATTACHED
            - DETACHED
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - driverId
        - sitePartnerId
        - networkId
        - status
        - createdAt
        - updatedAt
    IdentityBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - NETWORK_NOT_ENROLLED
            - INVITE_CODE_FOUND
            - CONTACT_DETAILS_ALREADY_EXISTS
            - TOKEN_ALREADY_EXISTS
            - INACTIVE_SITEHOST_STATUS
            - INACTIVE_INVITE_CODE
            - NOT_SITE_HOST
            - INVITATION_ALREADY_RESOLVED
            - DRIVER_ALREADY_ATTACHED
            - TOKEN_IS_ARCHIVED
            - DRIVER_IS_ARCHIVED
            - INACTIVE_SUBSCRIPTION
            - PENDING_INVOICE_ITEMS
            - UNSUCESSFULL_JUNCTION_DETACHMENT
        message:
          type: string
    DefaultUnauthorizedError:
      type: object
      description: The response body for a 401 request
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
    IdentityDefaultForbiddenError:
      type: object
      description: The response body for a 403 request
      properties:
        message:
          type: string
    IdentityNotFoundError:
      type: object
      description: The response body for a 404 request
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - TOKEN_NOT_FOUND
            - DRIVER_NOT_FOUND
            - INVITE_CODE_NOT_FOUND
            - TOKEN_AND_SITE_PARTNER_NOT_FOUND
            - INVITATION_NOT_FOUND
            - SITE_PARTNER_NOT_FOUND
            - NETWORK_VERIFY_SERVICE_NOT_FOUND
            - PAYMENT_TERMINAL_NOT_FOUND
            - ASSET_NOT_FOUND
            - ACTIVE_SUBSCRIPTION_NOT_FOUND
            - UNSUCESSFULL_JUNCTION_DETACHMENT
        message:
          type: string
    IdentityInternalServerError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````